Subject: GL 2.0.0rc2 plugin problems

Posted on: 21/02/13 08:43am
By: 1000ideen

I updated an older site with GL 1.6.0sr2, all plugins were activated. Now in GL 2.0.0rc2 I find many plugins "unresolved 2.0.0 unavailable" especially static pages. What can I do?

Re: GL 2.0.0rc2 plugin problems

Posted on: 21/02/13 09:08am
By: Laugh

Besides the Staticpages, which plugins?

Re: GL 2.0.0rc2 plugin problems

Posted on: 21/02/13 09:14am
By: 1000ideen

Links Polls Calendar show the same problems.

XMLSitemap, Bad Behavior2, Spam-X show no problems.

Those have been set to uninstalled plugins:

Captcha "OK- Die Lade-Reihenfolge von einem oder mehrere Plugins wurde geändert, um Abhängigkeiten aufzulösen."
If I click install: "Fatal error: Call to a member function fetch_array() on a non-object in /www/geeklog/system/databases/mysqli.class.php on line 653"

GUS: "OK- Die Lade-Reihenfolge von einem oder mehrere Plugins wurde geändert, um Abhängigkeiten aufzulösen."
If I click install: "2 - get_class() expects parameter 1 to be object, boolean given @ /www/geeklog/system/databases/mysqli.class.php line 543

Re: GL 2.0.0rc2 plugin problems

Posted on: 21/02/13 09:37am
By: 1000ideen

o.k., I just had an idea and changed the siteconfig.php to

define('VERSION', '2.0.0' ) before I had: define('VERSION', '2.0.0rc2' )

Now the plugins work apart from Captcha 3.3.0 and gus. Maybe I have old versions? Where are the ones working with GL 2.0.0rc2 ?

Re: GL 2.0.0rc2 plugin problems

Posted on: 21/02/13 10:16am
By: ::Ben

Can you try Captcha 3.3.1?

Ben

Re: GL 2.0.0rc2 plugin problems

Posted on: 21/02/13 10:17am
By: ::Ben

There is also a Gus 1.7.0 available.

Ben

Re: GL 2.0.0rc2 plugin problems

Posted on: 21/02/13 10:32am
By: Laugh

Quote by: 1000ideen

o.k., I just had an idea and changed the siteconfig.php to

define('VERSION', '2.0.0' ) before I had: define('VERSION', '2.0.0rc2' )



Did the install set 2.0.0rc2?

Captcha works on Geeklog 2.0.0.

Gus will probably fail duing install since it adds a block I believe. I will have to test this.

Re: GL 2.0.0rc2 plugin problems

Posted on: 21/02/13 10:39am
By: 1000ideen

Thanks, but it does not work! Same errors as before. BTW Gus does not show version number.

---------------
no I set rc2 manually to keep an overview Monkey

Re: GL 2.0.0rc2 plugin problems

Posted on: 21/02/13 03:28pm
By: Laugh

Captcha 3.3.1 Installs fine on Geeklog 2.0.0. It is installed on Geeklog.net and on my development server.

I see your error mentions mysqli. Maybe that has something to do with it... we will have to check it out.

Re: GL 2.0.0rc2 plugin problems

Posted on: 22/02/13 09:41am
By: 1000ideen

On my second webspace I get the following warning during the installation when updating an older GL 1.6.2sr2 to 2.0.0rc2

Warning: file_exists() [function.file-exists]: open_basedir restriction in effect. File(/www/xxx/db-config.php) is not within the allowed path(s): (/www/xxx/httpdocs:/tmp) in /www/xxx/admin/install/index.php on line 1032

Then further on:
Fatal error: Call to undefined function MBYTE_strlen() in /www/blabla/system/lib-plugins.php on line 1650


As far as I read the function mb_strlen() is not enabled by default in PHP.

Any ideas?

Re: GL 2.0.0rc2 plugin problems

Posted on: 23/02/13 09:50am
By: Laugh

Hmmm I have never heard of open_basedir restriction before. I did a quick google search and see that it is a PHP ini option (http://php.net/manual/en/ini.core.php). Here is a quote from another page:

PHP open_basedir protection tweak is a Safe Mode security measure that prevents users from opening files or scripts located outside of their home directory with PHP, unless the folder has specifically excluded.


It seems you will have to disable open_basedir or include the directories that Geeklog needs to access that are outside of the web root.

With mb_strlen you need the PHP mbstring extension loaded.

Re: GL 2.0.0rc2 plugin problems

Posted on: 23/02/13 10:09am
By: 1000ideen

o.k., that was my problematic webspace #2 with "open_basedir restriction" though it had no problem updating to 1.8.2sr1.

Let`s concentrate on the other one. The mysqli problem is this new with GL 2?

Re: GL 2.0.0rc2 plugin problems

Posted on: 23/02/13 10:27am
By: Laugh

Yes mysqli is new to Geeklog 2.0.0

It should be faster than the regular mysql extension.

My development server doesn't have mysqli installed so I haven't put it through it's paces yet. I will have to reach out to Geeklog jp to see what they say about the problem.

Re: GL 2.0.0rc2 plugin problems

Posted on: 26/02/13 07:30am
By: mystral-kk

GUS uses mysql_* functions along with DB_* functions, so I don't think it will work with Geeklog-2.0.0 if mysqli extension is enabled. Till GUS is updated to work properly with GL-2.0.0, you should disable mysqli extension.

Re: GL 2.0.0rc2 plugin problems

Posted on: 22/03/13 11:37am
By: 1000ideen

Just as a reminder, GUS and Captcha does not work with me.

Would the developer of GUS think about the following: It would be nice to have 2 separate rights. One for seeing the stats like "today" and one for operating the adjustments.

Re: GL 2.0.0rc2 plugin problems

Posted on: 29/03/13 09:32am
By: Laugh

I will be providing an update to GUS soon after Geeklog 2.0.0 is released which will fix any issues.

Re: GL 2.0.0rc2 plugin problems

Posted on: 31/03/13 04:09am
By: mystral-kk

Quote by: Laugh

I will be providing an update to GUS soon after Geeklog 2.0.0 is released which will fix any issues.

Laugh, I have updated GUS and confirmed it works with GL-2.0.0(RC3). Is it OK if I import the updated version into the repository at https://code.google.com/p/geeklog/?


Re: GL 2.0.0rc2 plugin problems

Posted on: 31/03/13 09:18am
By: Laugh

Yes go ahead. I haven't done much yet except work on the autoinstall. Did you make the GUS block dynamic?

Tom

Re: GL 2.0.0rc2 plugin problems

Posted on: 31/03/13 09:28am
By: mystral-kk

Quote by: Laugh

Yes go ahead. I haven't done much yet except work on the autoinstall. Did you make the GUS block dynamic? Tom

No, I just replaced mysql_* functions with DB_* functions and ereg(i) functions with preg_match, and GUS installed with GL-2.0.0(RC3).


Re: GL 2.0.0rc2 plugin problems

Posted on: 31/03/13 09:31am
By: Laugh

Sounds good. I haven't looked to closely at GUS yet anyways.

Re: GL 2.0.0rc2 plugin problems

Posted on: 31/03/13 09:49am
By: mystral-kk

I tried to push GUS files to https://mystralkk@code.google.com/p/geeklog.gus, but got 404 error. Laugh, would you please make a new repository for GUS, since I am just a committer?


Re: GL 2.0.0rc2 plugin problems

Posted on: 31/03/13 10:04am
By: Laugh

Done.

https://code.google.com/p/geeklog.gus/

Re: GL 2.0.0rc2 plugin problems

Posted on: 31/03/13 10:16am
By: mystral-kk

Quote by: Laugh

Done. https://code.google.com/p/geeklog.gus/

Thanks. I pushed GUS files.


Re: GL 2.0.0rc2 plugin problems

Posted on: 08/04/13 10:34am
By: Laugh

mystral-kk, I took a look at the Gus install and it does install a block that probably does mess up Geeklog since no topics are assigned.

I am going to fix this (I will make it dynamic) and then I think we should release GUS 1.7.1 with these fixes. We can add the other stuff later (autoinstall, etc...) when we have more time.

Does this sound good?

Re: GL 2.0.0rc2 plugin problems

Posted on: 08/04/13 11:47am
By: ::Ben

I'm working on captcha for Geeklog 2.0 Cool

Ben

Re: GL 2.0.0rc2 plugin problems

Posted on: 08/04/13 05:20pm
By: mystral-kk

Quote by: Laugh

mystral-kk, I took a look at the Gus install and it does install a block that probably does mess up Geeklog since no topics are assigned.

I am going to fix this (I will make it dynamic) and then I think we should release GUS 1.7.1 with these fixes. We can add the other stuff later (autoinstall, etc...) when we have more time.

Does this sound good?



Sounds very good for me.

Re: GL 2.0.0rc2 plugin problems

Posted on: 08/04/13 05:22pm
By: mystral-kk

Quote by: ::Ben

I'm working on captcha for Geeklog 2.0 Cool

Ben



I'm looking forward to it.

Geeklog - Forum
https://www.geeklog.net/forum/viewtopic.php?showtopic=94765